# Uses of Class
javafx.event.ActionEvent

Packages that use ActionEvent
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.
javafx.event
Provides basic framework for FX events, their delivery and handling.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of ActionEvent in javafx.animation

Methods in javafx.animation that return types with arguments of type ActionEvent
Modifier and Type
Method
Description
`final EventHandler<ActionEvent>`
Animation.`getOnFinished()`
Gets the value of the `onFinished` property.
`EventHandler<ActionEvent>`
KeyFrame.`getOnFinished()`
Returns the `onFinished` event handler of this `KeyFrame`.
`final ObjectProperty<EventHandler<ActionEvent>>`
Animation.`onFinishedProperty()`
The action to be executed at the conclusion of this `Animation`.
Method parameters in javafx.animation with type arguments of type ActionEvent
Modifier and Type
Method
Description
`final void`
Animation.`setOnFinished(EventHandler<ActionEvent> value)`
Sets the value of the `onFinished` property.
Constructor parameters in javafx.animation with type arguments of type ActionEvent
Modifier
Constructor
Description
``
`KeyFrame(Duration time, String name, EventHandler<ActionEvent> onFinished, Collection<KeyValue> values)`
Constructor of `KeyFrame`
``
`KeyFrame(Duration time, String name, EventHandler<ActionEvent> onFinished, KeyValue... values)`
Constructor of `KeyFrame`
``
`KeyFrame(Duration time, EventHandler<ActionEvent> onFinished, KeyValue... values)`
Constructor of `KeyFrame`

## Uses of ActionEvent in javafx.event

Fields in javafx.event with type parameters of type ActionEvent
Modifier and Type
Field
Description
`static final EventType<ActionEvent>`
ActionEvent.`ACTION`
The only valid EventType for the ActionEvent.
`static final EventType<ActionEvent>`
ActionEvent.`ANY`
Common supertype for all action event types.
Methods in javafx.event that return ActionEvent
Modifier and Type
Method
Description
`ActionEvent`
ActionEvent.`copyFor(Object newSource, EventTarget newTarget)`
Methods in javafx.event that return types with arguments of type ActionEvent
Modifier and Type
Method
Description
`EventType<? extends ActionEvent>`
ActionEvent.`getEventType()`

## Uses of ActionEvent in javafx.scene.control

Methods in javafx.scene.control that return types with arguments of type ActionEvent
Modifier and Type
Method
Description
`final EventHandler<ActionEvent>`
ButtonBase.`getOnAction()`
Gets the value of the `onAction` property.
`final EventHandler<ActionEvent>`
ChoiceBox.`getOnAction()`
Gets the value of the `onAction` property.
`final EventHandler<ActionEvent>`
ComboBoxBase.`getOnAction()`
Gets the value of the `onAction` property.
`final EventHandler<ActionEvent>`
ContextMenu.`getOnAction()`
Gets the value of the `onAction` property.
`final EventHandler<ActionEvent>`
MenuItem.`getOnAction()`
Gets the value of the `onAction` property.
`final EventHandler<ActionEvent>`
TextField.`getOnAction()`
Gets the value of the `onAction` property.
`final ObjectProperty<EventHandler<ActionEvent>>`
ButtonBase.`onActionProperty()`
The button's action, which is invoked whenever the button is fired.
`final ObjectProperty<EventHandler<ActionEvent>>`
ChoiceBox.`onActionProperty()`
The ChoiceBox action, which is invoked whenever the ChoiceBox `value` property is changed.
`final ObjectProperty<EventHandler<ActionEvent>>`
ComboBoxBase.`onActionProperty()`
The ComboBox action, which is invoked whenever the ComboBox `value` property is changed.
`final ObjectProperty<EventHandler<ActionEvent>>`
ContextMenu.`onActionProperty()`
Callback function to be informed when an item contained within this `ContextMenu` has been activated.
`final ObjectProperty<EventHandler<ActionEvent>>`
MenuItem.`onActionProperty()`
The action, which is invoked whenever the MenuItem is fired.
`final ObjectProperty<EventHandler<ActionEvent>>`
TextField.`onActionProperty()`
The action handler associated with this text field, or `null` if no action handler is assigned.
Method parameters in javafx.scene.control with type arguments of type ActionEvent
Modifier and Type
Method
Description
`final void`
ButtonBase.`setOnAction(EventHandler<ActionEvent> value)`
Sets the value of the `onAction` property.
`final void`
ChoiceBox.`setOnAction(EventHandler<ActionEvent> value)`
Sets the value of the `onAction` property.
`final void`
ComboBoxBase.`setOnAction(EventHandler<ActionEvent> value)`
Sets the value of the `onAction` property.
`final void`
ContextMenu.`setOnAction(EventHandler<ActionEvent> value)`
Sets the value of the `onAction` property.
`final void`
MenuItem.`setOnAction(EventHandler<ActionEvent> value)`
Sets the value of the `onAction` property.
`final void`
TextField.`setOnAction(EventHandler<ActionEvent> value)`
Sets the value of the `onAction` property.

## Uses of ActionEvent in javafx.scene.media

Subclasses of ActionEvent in javafx.scene.media
Modifier and Type
Class
Description
`class`
`MediaMarkerEvent`
An `ActionEvent` representing a media marker.